Galon Cloud
Galon API v1

/projects/{project_id}/webhooks/{endpoint_id}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

PATCH /projects/{project_id}/webhooks/{endpoint_id}

Update an endpoint's URL, events or state

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · required
endpoint_idpathstring · required

Request body

application/json · schema WebhookUpdate

FieldTypeDescription
urlstring
eventsarray<"job.queued" | "job.started" | "job.succeeded" | "job.failed" | "job.cancelled" | "job.uncertain" | "artifact.ready" | "email.sent">
activeboolean

Responses

StatusDescriptionBody
200Endpoint updated, without secretWebhookResponse
404webhook_not_found
422webhook_invalid

Examples

curl

curl -X PATCH "$GALON_API_BASE/projects/<project_id>/webhooks/<endpoint_id>" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url": "string", "events": ["job.queued"], "active": true}'

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.webhooks.update("<id>", {"url": "string", "events": ["job.queued"], "active": true});

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.webhooks.update("<id>", {"url": "string", "events": ["job.queued"], "active": True})